// priority: 0

onEvent('recipes', event => {
	removeRecipeByID(event, [
		CRG("gear"),
		CRG("large_gear"),
        CRG("half_shaft_gear"),
        CRG("large_half_shaft_gear"),
	])

    removeRecipeByInput(event, [
        CRGA("large_half_shaft_oak_cogwheel"),
        CRGA("large_half_shaft_jungle_cogwheel"),
        CRGA("large_half_shaft_birch_cogwheel"),
        CRGA("large_half_shaft_acacia_cogwheel"),
        CRGA("large_half_shaft_dark_oak_cogwheel"),
        CRGA("large_half_shaft_crimson_cogwheel"),
        CRGA("large_half_shaft_warped_cogwheel"),
        CRGA("half_shaft_oak_cogwheel"),
        CRGA("half_shaft_jungle_cogwheel"),
        CRGA("half_shaft_birch_cogwheel"),
        CRGA("half_shaft_acacia_cogwheel"),
        CRGA("half_shaft_dark_oak_cogwheel"),
        CRGA("half_shaft_crimson_cogwheel"),
        CRGA("half_shaft_warped_cogwheel"),
    ])

    removeRecipeByOutput(event, [
        CRGA("large_half_shaft_oak_cogwheel"),
        CRGA("large_half_shaft_jungle_cogwheel"),
        CRGA("large_half_shaft_birch_cogwheel"),
        CRGA("large_half_shaft_acacia_cogwheel"),
        CRGA("large_half_shaft_dark_oak_cogwheel"),
        CRGA("large_half_shaft_crimson_cogwheel"),
        CRGA("large_half_shaft_warped_cogwheel"),
        CRGA("half_shaft_oak_cogwheel"),
        CRGA("half_shaft_jungle_cogwheel"),
        CRGA("half_shaft_birch_cogwheel"),
        CRGA("half_shaft_acacia_cogwheel"),
        CRGA("half_shaft_dark_oak_cogwheel"),
        CRGA("half_shaft_crimson_cogwheel"),
        CRGA("half_shaft_warped_cogwheel"),
    ])

	event.shaped(Item.of(CRG("gear"), 8), [
        'AAA',
        'A A',
        'AAA'
    ], {
        A: MC('spruce_button'),
    })

	event.shaped(Item.of(CRG("large_gear"), 2), [
        'ABA',
        'B B',
        'ABA'
    ], {
        A: MC('spruce_button'),
        B: MC('spruce_planks'),
    })

    event.replaceInput({ output: CRG(`simple_gearshift`) }, CR("cogwheel"), F("#cogwheels"))
})